Package org.apache.activemq.artemis.jms.client

## Interface ActiveMQJMSClientBundle

- All Known Implementing Classes:
    `ActiveMQJMSClientBundle_$bundle`

      @MessageBundle(projectCode="AMQ")
      public interface ActiveMQJMSClientBundle

  Logger Code 13 each message id must be 6 digits long starting with 13, the 3rd digit should be 9 so 139000 to 139999

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActiveMQJMSClientBundle` | `BUNDLE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.jms.IllegalStateException` | `callingMethodFromCompletionListener()` |
    `javax.jms.IllegalStateRuntimeException` | `callingMethodFromCompletionListenerRuntime()` |
    `javax.jms.IllegalStateException` | `callingMethodFromListener()` |
    `javax.jms.IllegalStateRuntimeException` | `callingMethodFromListenerRuntime()` |
    `org.apache.activemq.artemis.api.core.ActiveMQNonExistentQueueException` | `destinationDoesNotExist​(org.apache.activemq.artemis.api.core.SimpleString destination)` |
    `javax.jms.JMSException` | `illegalDeliveryMode​(int deliveryMode)` |
    `org.apache.activemq.artemis.api.core.ActiveMQInvalidFilterExpressionException` | `invalidFilter​(java.lang.Throwable e, org.apache.activemq.artemis.api.core.SimpleString filter)` |
    `javax.jms.JMSRuntimeException` | `invalidJavaIdentifier​(java.lang.String propertyName)` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `invalidSubscriptionName()` |
    `javax.jms.MessageNotReadableException` | `messageNotReadable()` |
    `javax.jms.MessageNotWriteableException` | `messageNotWritable()` |
    `java.lang.IllegalArgumentException` | `nameCannotBeEmpty()` |
    `java.lang.IllegalArgumentException` | `nameCannotBeNull()` |
    `java.lang.IllegalArgumentException` | `nullArgumentNotAllowed​(java.lang.String type)` |
    `javax.jms.InvalidDestinationException` | `nullTopic()` |
    `javax.jms.IllegalStateException` | `onlyValidForByteOrStreamMessages()` |

- - ### Field Detail

    - #### BUNDLE

          static final ActiveMQJMSClientBundle BUNDLE

  - ### Method Detail

    - #### invalidFilter

          @Message(id=139000,
                   value="Invalid filter: {0}",
                   format=MESSAGE_FORMAT)
          org.apache.activemq.artemis.api.core.ActiveMQInvalidFilterExpressionException invalidFilter​(@Cause
                                                                                                      java.lang.Throwable e,
                                                                                                      org.apache.activemq.artemis.api.core.SimpleString filter)

    - #### invalidSubscriptionName

          @Message(id=139001,
                   value="Invalid Subscription Name. It is required to set the subscription name")
          org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException invalidSubscriptionName()

    - #### destinationDoesNotExist

          @Message(id=139002,
                   value="Destination {0} does not exist",
                   format=MESSAGE_FORMAT)
          org.apache.activemq.artemis.api.core.ActiveMQNonExistentQueueException destinationDoesNotExist​(org.apache.activemq.artemis.api.core.SimpleString destination)

    - #### nameCannotBeNull

          @Message(id=139003,
                   value="name cannot be null")
          java.lang.IllegalArgumentException nameCannotBeNull()

    - #### nameCannotBeEmpty

          @Message(id=139004,
                   value="name cannot be empty")
          java.lang.IllegalArgumentException nameCannotBeEmpty()

    - #### callingMethodFromListenerRuntime

          @Message(id=139005,
                   value="It is illegal to call this method from within a Message Listener")
          javax.jms.IllegalStateRuntimeException callingMethodFromListenerRuntime()

    - #### callingMethodFromListener

          @Message(id=139006,
                   value="It is illegal to call this method from within a Message Listener")
          javax.jms.IllegalStateException callingMethodFromListener()

    - #### callingMethodFromCompletionListenerRuntime

          @Message(id=139007,
                   value="It is illegal to call this method from within a Completion Listener")
          javax.jms.IllegalStateRuntimeException callingMethodFromCompletionListenerRuntime()

    - #### callingMethodFromCompletionListener

          @Message(id=139008,
                   value="It is illegal to call this method from within a Completion Listener")
          javax.jms.IllegalStateException callingMethodFromCompletionListener()

    - #### nullArgumentNotAllowed

          @Message(id=139009,
                   value="Null {0} is not allowed",
                   format=MESSAGE_FORMAT)
          java.lang.IllegalArgumentException nullArgumentNotAllowed​(java.lang.String type)

    - #### nullTopic

          @Message(id=139010,
                   value="Topic (Destination) cannot be null")
          javax.jms.InvalidDestinationException nullTopic()

    - #### onlyValidForByteOrStreamMessages

          @Message(id=139011,
                   value="LargeMessage streaming is only possible on ByteMessage or StreamMessage")
          javax.jms.IllegalStateException onlyValidForByteOrStreamMessages()

    - #### invalidJavaIdentifier

          @Message(id=139012,
                   value="The property name \'\'{0}\'\' is not a valid java identifier.",
                   format=MESSAGE_FORMAT)
          javax.jms.JMSRuntimeException invalidJavaIdentifier​(java.lang.String propertyName)

    - #### messageNotWritable

          @Message(id=139013,
                   value="Message is read-only")
          javax.jms.MessageNotWriteableException messageNotWritable()

    - #### messageNotReadable

          @Message(id=139014,
                   value="Message is write-only")
          javax.jms.MessageNotReadableException messageNotReadable()

    - #### illegalDeliveryMode

          @Message(id=139015,
                   value="Illegal deliveryMode value: {0}",
                   format=MESSAGE_FORMAT)
          javax.jms.JMSException illegalDeliveryMode​(int deliveryMode)